package com.bsoft.api.common.resolvers;

import com.bsoft.api.common.Constants;
import com.bsoft.api.common.annotations.CurrentUser;
import com.bsoft.api.common.utils.TokenUtil;
import com.bsoft.api.model.SysUser;
import com.bsoft.common.utils.RedisUtil;
import org.springframework.core.MethodParameter;
import org.springframework.web.bind.support.WebDataBinderFactory;
import org.springframework.web.context.request.NativeWebRequest;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.method.support.ModelAndViewContainer;

public class CurrentUserMethodArgumentResolver implements HandlerMethodArgumentResolver {
    @Override
    public boolean supportsParameter(MethodParameter methodParameter) {
        return methodParameter.hasParameterAnnotation(CurrentUser.class);
    }

    @Override
    public Object resolveArgument(MethodParameter methodParameter, ModelAndViewContainer modelAndViewContainer,
                                  NativeWebRequest nativeWebRequest, WebDataBinderFactory webDataBinderFactory) {
        String token = nativeWebRequest.getHeader(Constants.TOKEN_KEY);
        if(TokenUtil.checkToken(token)){
            SysUser user = (SysUser) RedisUtil.get(token);
            return user.getId();
        }
        return null;
    }
}
