package com.bsoft.api.controller;

import com.bsoft.api.common.Result;
import com.bsoft.api.common.annotations.Token;
import com.bsoft.api.model.reqmodel.BlockValues;
import com.bsoft.api.service.BlockValuesService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@Api(tags = "板块数值Api")
@RestController
public class BlockValuesController {

    @Autowired
    private BlockValuesService blockValuesService;


    /**
     * 根据pageId查询板块数值
     * @return
     * @throws Exception
     */
    @GetMapping("blockValues")
    @Token
    @ApiOperation("根据Page查询板块数值")
    public  Object getBlockValuesByPageID(@RequestBody BlockValues blockValues) throws InterruptedException {

        List<Map<String,Object>> list= blockValuesService.getBlockValuesByPageCode(blockValues.getPageCode(),
                blockValues.getDisease(), blockValues.getDoctor(),blockValues.getDepartment(),blockValues.getTime());
        return Result.success(list);
    }
}