package com.bsoft.api.controller;

import com.bsoft.api.common.Result;
import com.bsoft.api.model.reqmodel.CodeAndPwd;
import com.bsoft.api.service.LoginService;
import com.bsoft.common.utils.HttpUtil;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping()
@Api(tags = {"登录"})
public class LoginController {

    @Autowired
    private LoginService loginServiceImpl;

    /**
     *
     * @param codeAndPwd
     * @param request
     * @return
     */
    @PostMapping("login")
    @ApiOperation(value="Result«LoginService.LoginInfo»登录")
    public Result<LoginService.LoginInfo> login(@RequestBody CodeAndPwd codeAndPwd,HttpServletRequest request){
        String ip = HttpUtil.getIP(request);
        LoginService.LoginInfo loginInfo = loginServiceImpl.login(
                codeAndPwd.getLoginName(),codeAndPwd.getPassword(),ip);
        if(loginInfo==null){
            return Result.error(Result.ErrorCode.USERERROR);
        }
        return Result.success(loginInfo);
    }

    @GetMapping("token")
    @ApiOperation("刷新TOKEN")
    public Result<String> refresh(@ApiIgnore HttpServletRequest request){
        String oldToken = request.getHeader("Authorization");
        String token = loginServiceImpl.refreshToken(oldToken);
        return Result.success(token);
    }
}
