package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.BlockValuesMapper;
import com.bsoft.api.service.AsynBlockValuesService;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CountDownLatch;

@Service
public class AsynBlockValuesServiceImpl implements AsynBlockValuesService {

    private final static Object obj = new Object();

    @Resource
    private BlockValuesMapper blockValuesMapper;

    @Async
    @Override
    public void getBlockValues(List<Map<String, Object>> list, String blockId, String tableName,
                                                      String whereClause, CountDownLatch latch) {
        System.out.println("开始"+tableName);

        List<Map<String, Object>> dataList = blockValuesMapper.selectByWhere(tableName, whereClause);
        Map<String, Object> map = new HashMap<String,Object>(){
            {
                put(blockId, dataList);
            }
        };
        synchronized (obj){
            list.add(map);
        }
        System.out.println("结束"+tableName);
        latch.countDown();

    }
}
