package com.bsoft.api.service.Impl;

import com.bsoft.api.common.utils.TokenUtil;
import com.bsoft.api.mapper.SysUserMapper;
import com.bsoft.api.model.SysUser;
import com.bsoft.api.service.LoginService;
import com.bsoft.api.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.lang.annotation.Retention;
import java.util.Date;


@Service
public class LoginServiceImpl implements LoginService {

    @Autowired
    private UserService userServiceImpl;

    @Resource
    private SysUserMapper sysUserMapper;

    @Override
    public LoginInfo login(String logName, String password,String ip) {

        LoginInfo loginInfo = new LoginInfo();

        SysUser user = userServiceImpl.findByLoginName(logName);
        if(user != null && user.getPassword().equals(password)){
            String token = TokenUtil.getToken(password, user);
            //修改ip以及最后登录时间
            user.setLastIp(ip);
            user.setLastTime(new Date());
            sysUserMapper.updateByPrimaryKey(user);

            user.setPassword(null);
            loginInfo.setToken(token);
            loginInfo.setUser(user);
        }
        return loginInfo;
    }

    public String refreshToken(String oldToken){
        return TokenUtil.refresh(oldToken);
    }
}
