package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SysMenuMapper;
import com.bsoft.api.model.SysMenu;
import com.bsoft.api.model.respmodel.SysMenuList;
import com.bsoft.api.service.SysMenuService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.awt.*;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Service
public class SysMenuServiceImpl implements SysMenuService {

    @Resource
    private SysMenuMapper sysMenuMapper;

    @Override
    public List<SysMenuList> getMenu(Long userId) throws Exception {
        SysMenuList sysMenuList = new SysMenuList();
        SysMenu sysMenu = new SysMenu();
        List<SysMenuList> list = sysMenuMapper.selectMenuByUser(userId);
        List<SysMenuList> resultList  = getLevelData(list, Long.valueOf(0));
        return resultList;
    }

    private List<SysMenuList> getLevelData(List<SysMenuList> list, Long parentcode) {
        List<SysMenuList> resultList = new ArrayList<>();
        for (SysMenuList data : list) {
           if (data.getParentId() == parentcode){
               List<SysMenuList> childList = getLevelData(list,data.getId());
               data.setSysMenuList(childList);
               resultList.add(data);
           }
        }
        return resultList;
    }

    @Override
    public int add(SysMenu sysMenu) {
        return sysMenuMapper.insert(sysMenu);
    }

    @Override
    public List<SysMenu> findAll() {
        return sysMenuMapper.selectAll();
    }

    @Override
    public SysMenu find(Long id) {
        return sysMenuMapper.selectByPrimaryKey(id);
    }

    @Override
    public int delete(Long id) {
        return sysMenuMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int logicDelete(Long id) {
        return 0;
    }

    @Override
    public int update(SysMenu sysMenu) {
        return sysMenuMapper.updateByPrimaryKey(sysMenu);
    }
}
