package com.bsoft.api.unusecontroller;

import com.bsoft.api.common.base.RequestResult;
import com.bsoft.api.common.enums.RequestResultType;
import com.bsoft.api.model.SysRoleMenuRs;
import com.bsoft.api.model.respmodel.ListPage;
import com.bsoft.api.service.SysRoleMenuRsService;
import com.bsoft.api.service.SysUserOrgRsService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = {"角色菜单关系"}, hidden = true)
@RequestMapping("roleMenu")
@RestController
public class SysRoleMenuRsController {
    @Autowired
    private SysRoleMenuRsService sysRoleMenuRsService;



    @GetMapping("list")
    public Object list(){
        List<SysRoleMenuRs> list = sysRoleMenuRsService.findAll();
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),list);
    }

    @GetMapping("listpage")
    public Object listpage(Integer pageSize, Integer pageIndex){
        List<SysRoleMenuRs> list = sysRoleMenuRsService.findAll();
        ListPage<SysRoleMenuRs> listPage = new ListPage(list, pageSize, pageIndex, 0);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),list);
    }

    @GetMapping("info")
    public  Object info(Long id){
        sysRoleMenuRsService.find(id);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("add")
    public Object add(SysRoleMenuRs sysRoleMenuRs){
        sysRoleMenuRsService.add(sysRoleMenuRs);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("update")
    public Object update(SysRoleMenuRs sysRoleMenuRs){
        sysRoleMenuRsService.update(sysRoleMenuRs);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("delete")
    public  Object delete(Long id){
        sysRoleMenuRsService.delete(id);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }
}
