package com.bsoft.api.unusecontroller;

import com.bsoft.api.common.base.RequestResult;
import com.bsoft.api.common.enums.RequestResultType;
import com.bsoft.api.model.SysRoleMenuRs;
import com.bsoft.api.model.SysUserMenuRs;
import com.bsoft.api.model.respmodel.ListPage;
import com.bsoft.api.service.SysUserMenuRsService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = {"用户菜单关系"}, hidden = true)
@RequestMapping("userMenu")
@RestController
public class SysUserMenuRsController {
    @Autowired
    private SysUserMenuRsService sysUserMenuRsService;



    @GetMapping("list")
    public Object list(){
        List<SysUserMenuRs> list = sysUserMenuRsService.findAll();
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),list);
    }

    @GetMapping("listpage")
    public Object listpage(Integer pageSize, Integer pageIndex){
        List<SysUserMenuRs> list = sysUserMenuRsService.findAll();
        ListPage<SysUserMenuRs> listPage = new ListPage(list, pageSize, pageIndex, 0);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),list);
    }

    @GetMapping("info")
    public  Object info(Long id){
        sysUserMenuRsService.find(id);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("add")
    public Object add(SysUserMenuRs sysUserMenuRs){
        sysUserMenuRsService.add(sysUserMenuRs);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("update")
    public Object update(SysUserMenuRs sysUserMenuRs){
        sysUserMenuRsService.update(sysUserMenuRs);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("delete")
    public  Object delete(Long id){
        sysUserMenuRsService.delete(id);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }
}
